# Gamebase Authentication Payco Adapter for Android

## Dependencies

| Module | Dependencies | Description |
| ------- | ------------ | ----------- |
| gamebase-adapter-auth-payco  | gamebase-sdk-base-{version}.aar | Gamebase Android SDK |
|                              | paycologin-1.2.8.aar | Payco Login SDK |
|                              | play-services-base-10.0.1.aar<br>play-services-basement-10.0.1.aar<br>play-services-tasks-10.0.1.aar | Google Play Service |

## Release Note

| Date | Payco Adapter Version | Gamebase SDK Version | Payco Login SDK Version | Description |
| ---- | --------------------- | -------------------- | ----------------------- | ----------- |
| 2017.03.21 | 1.1.1   | 1.1.0 ~ 1.1.2   | 1.2.8 | - Initial version |
| 2017.04.20 | 1.1.3   | 1.1.3 ~ 1.1.3.2 | 1.2.8 | - Change the Interface |
| 2017.04.28 | 1.1.3.2 | 1.1.3 ~ 1.1.3.2 | 1.2.9 | - Update Payco SDK to 1.2.9 |
| 2017.05.02 | 1.1.3.3 | 1.1.3.3         | 1.2.9 | - In the Gamebase sandbox environment, set the payco's operating environment to DEMO. |
| 2017.05.23 | 1.1.4   | 1.1.4 ~         | 1.2.9 | - Update version |
| 2017.06.30 | 1.1.4.2 | 1.1.4.2 ~       | 1.2.9 | - If it is a SANDBOX environment or the Gamebase service zone is not REAL, it will try to authenticate in Payco's DEMO environment. |
| 2017.07.19 | 1.1.5   | 1.1.5 ~         | 1.2.9 | - Update version |
| 2017.09.15 | 1.2.0   | 1.1.5 ~         | 1.2.9 | - Change zone type by TOAST Cloud project zone. Now BETA project will authenticate to the REAL NEOID. |